Subject: Re: [PATCH net-next 0/4] Add support for slow-to-probe-PHY copper SFP modules

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 9 Dec 2019 22:37:28 +0000

On Mon, Dec 09, 2019 at 02:34:49PM -0800, David Miller wrote:
> From: Russell King - ARM Linux admin <[email-masked]>
> Date: Mon, 9 Dec 2019 14:15:25 +0000
> 
> > This series, following on from the previous adding SFP+ copper support,
> > adds support for a range of Copper SFP modules, made by a variety of
> > companies, all of which have a Marvell 88E1111 PHY on them, but take
> > far longer than the Marvell spec'd 15ms to start communicating on the
> > I2C bus.
> > 
> > Researching the Champion One 1000SFPT module reveals that TX_DISABLE is
> > routed through a MAX1971 switching regulator and reset IC which adds a
> > 175ms delay to releasing the 88E1111 reset.
> > 
> > It is not known whether other modules use a similar setup, but there
> > are a range of modules that are slow for the Marvell PHY to appear.
> > 
> > This patch series adds support for these modules by repeatedly trying
> > to probe the PHY for up to 600ms.
> 
> Patch #3 gets full rejects when I try to apply this series.
> 
> Please respin, adding Andrew's ACKs.

As mentioned in the very first sentence, it depends on the previously
submitted series, which hasn't yet been reviewed.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up